%define _disable_ld_no_undefined 1

Name:		screengrab
Version:	2.1.0
Release: 	%mkrel 2
Summary:	Screen grabber
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://lxqt.github.io/
Source:		https://github.com/lxqt/screengrab/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch2:		screengrab-1.97-CMakeLists.patch
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xdg)

%description
ScreenGrab -- program getting screenshots working in Linux and Windows.
The program uses Qt5 and is independent from any desktop environment.
Main features:
    * grab screenshot of desktop
    * working on Window and Linux operating systems
    * save screenshots in PNG and JPEG format
    * grab screenshot with delay (1 - 90 sec)
    * hide its window
    * minimize to system tray and work from at (tray menu)

%prep
%setup -q
%autopatch -p1
find . -type f | xargs chmod 644

%build
%cmake_qt5 -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

# remove unneeded devel files
find %{buildroot} -name '*.so' -delete

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/lib*.so.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1659772
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1643200
- New version 2.1.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1571832
- New version 2.0.1

* Tue Feb 18 2020 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1539824
- new version: 2.0.0

* Sat Feb 15 2020 umeabot <umeabot> 1.101-3.mga8
+ Revision: 1525022
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.101-2.mga7
+ Revision: 1384720
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 1.101-1.mga7
+ Revision: 1380849
- new version: 1.101

* Sun Jan 27 2019 daviddavid <daviddavid> 1.100-1.mga7
+ Revision: 1361301
- New version 1.100

* Fri Dec 28 2018 daviddavid <daviddavid> 1.99-3.mga7
+ Revision: 1345497
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 1.99-2.mga7
+ Revision: 1300962
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 1.99-1.mga7
+ Revision: 1252798
- new version: 1.99

* Sun Jun 10 2018 daviddavid <daviddavid> 1.98-1.mga7
+ Revision: 1236023
- New version 1.98 (now part of LXQt stack)
- rebase core-cli-upload-option patch

* Tue May 15 2018 daviddavid <daviddavid> 1.97-1.mga7
+ Revision: 1229751
- new version: 1.97
- port to Qt5

* Mon Feb 08 2016 umeabot <umeabot> 0.9.96-6.mga6
+ Revision: 944375
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.96-5.mga5
+ Revision: 749134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.96-4.mga5
+ Revision: 689080
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.96-3.mga4
+ Revision: 518191
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.9.96-2.mga3
+ Revision: 381907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 matteo <matteo> 0.9.96-1.mga3
+ Revision: 340771
- new version

* Sat Apr 21 2012 matteo <matteo> 0.9.90-1.mga2
+ Revision: 232199
- new stable version

* Thu Jan 05 2012 matteo <matteo> 0.9.85-2.mga2
+ Revision: 191937
+ rebuild (emptylog)

* Mon Dec 19 2011 matteo <matteo> 0.9.85-1.mga2
+ Revision: 184423
- imported package screengrab

